#!/bin/sh
appname=`basename $0 | sed s,\.sh$,,`
dirname=`dirname $0`

tmp="${dirname#?}"
if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi

LD_LIBRARY_PATH=$dirname
export LD_LIBRARY_PATH

# Create App directory under local user if doesn't exist
dst="/home/$USER/N7LWD/Programs/$appname"
if ! [ -d "$dst" ]; then
    mkdir -p "$dst"
fi

# Allways copy program info for updates
src="$dirname/Programs/$appname/Info"
cp -R "$src" "$dst"

# Only copy program data if new installation (Data doesn't exist)
src="$dirname/Programs/$appname/Data"
if ! [ -d "$dst/Data" ]; then
    cp -R "$src" "$dst"
fi

#execute program
cd "/home/$USER/N7LWD/Programs"
$dirname/$appname "$@"
